*FDC6333C at Temp. Electrical Model (Complementary N-Ch)
*---------------------------------------------------------
.SUBCKT FDS6333CQ1 20 10 30 50
*20=DRAIN 10=GATE 30=SOURCE 50=VTEMP
Rg 10 11x 1
Rdu 12x 1 1u
M1 2 1 4x 4x DMOS L=1u W=1u
.MODEL DMOS NMOS(VTO=2.1 KP=1.36E+1
+THETA=.1 VMAX=2E5 LEVEL=3)
Cgs 1 5x 272p
Rd 20 4 2.75E-2 
Dds 5x 4 DDS
.MODEL DDS D(M=4.62E-1 VJ=9.36E-1 CJO=106p)
Dbody 5x 20 DBODY
.MODEL DBODY D(IS=7.01E-13 N=1.06941 RS=.00148 TT=9.95n)
Ra 4 2 2.75E-2 
Rs 5x 5 0.5m
Ls 5 30 0.5n
M2 1 8 6 6 INTER
E2 8 6 4 1 2
.MODEL INTER NMOS(VTO=0 KP=10 LEVEL=1)
Cgdmax 7 4 171p
Rcgd 7 4 10meg
Dgd 6 4 DGD
Rdgd 6 4 10meg
.MODEL DGD D(M=2.35E-1 VJ=1.82E-3 CJO=166p)
M3 7 9 1 1 INTER
E3 9 1 4 1 -2
*ZX SECTION
EOUT 4x 6x poly(2) (1x,0) (3x,0) 0 0 0 0 1
FCOPY 0 3x VSENSE 1
RIN 1x 0 1G
VSENSE 6x 5x 0
RREF 3x 0 10m
*TEMP SECTION
ED 101 0 VALUE {V(50,100)}
VAMB 100 0 25
EKP 1x 0 101 0 .028
*VTO TEMP SECTION
EVTO 102 0 101 0 .002
EVT 12x 11x 102 0 1
*DIODE THEMO BREAKDOWN SECTION
EBL VB1 VB2 101 0 .08
VBLK VB2 0 30
D 20 DB1 DBLK
.MODEL DBLK D(IS=1E-14 CJO=.1p RS=.1)
EDB DB1 0 VB1 0 1
.ENDS FDS6333CQ1
*---------------------------------------------------------
*FDC6333C at Temp. Electrical Model (Complementary P-Ch)
*---------------------------------------------------------
.SUBCKT FDC6333CQ2 20 10 30 50
*20=DRAIN 10=GATE 30=SOURCE 50=VTEMP
Rg 10 11x 1
Rdu 12x 1 1u
M1 2 1 4x 4x DMOS L=1u W=1u
.MODEL DMOS PMOS(VTO=-1.78 KP=3.2
+THETA=0.08 VMAX=5.5E5 LEVEL=3)
Cgs 1 5x 220p
Rd 20 4 1.95E-2
Dds 4 5x DDS
.MODEL DDS D(M=4.29E-1 VJ=8.77E-1 CJO=106p)
Dbody 20 5x DBODY
.MODEL DBODY D(IS=1.71E-12 N=1.110431 RS=.00136 TT=11.63n)
Ra 4 2 1.95E-2
Rs 5x 5 0.5m
Ls 5 30 0.5n
M2 1 8 6 6 INTER
E2 8 6 4 1 2
.MODEL INTER PMOS(VTO=0 KP=10 LEVEL=1)
Cgdmax 7 4 150p
Rcgd 7 4 10meg
Dgd 4 6 DGD
Rdgd 4 6 10meg
.MODEL DGD D(M=1.5E-1 VJ=7.17E-4 CJO=150p)
M3 7 9 1 1 INTER
E3 9 1 4 1 -2
*ZX SECTION
EOUT 4x 6x poly(2) (1x,0) (3x,0) 0 0 0 0 1
FCOPY 0 3x VSENSE 1
RIN 1x 0 1G
VSENSE 6x 5x 0
RREF 3x 0 10m
*TEMP SECTION
ED 101 0 VALUE {V(50,100)}
VAMB 100 0 25
EKP 1x 0 101 0 .02
*VTO TEMP SECTION
EVTO 102 0 101 0 .0005
EVT 11x 12x 102 0 1
*DIODE THEMO BREAKDOWN SECTION
EBL VB1 VB2 101 0 .08
VBLK VB2 0 30
D DB1 20 DBLK
.MODEL DBLK D(IS=1E-14 CJO=.1p RS=.1)
EDB 0 DB1 VB1 0 1
.ENDS FDC6333CQ2
*FDC6333C (Rev.A) 2/11/03 **ST

